<?php

/*

  osCommRes, Services Online
  http://www.oscommres.com

  Copyright (c) 2005 osCommRes

  Released under the GNU General Public License
  
  Freeway eCommerce from ZacWare
http://www.zac-ware.com/freeway

Copyright 2007 ZacWare Pty. Ltd 
*/
// Set flag that this is a parent file
	define( '_FEXEC', 1 );
  require('includes/application_top.php');
  tep_get_last_access_file();
  require(DIR_WS_CLASSES . 'split_page_results_report.php');  
  require(DIR_WS_FUNCTIONS . 'events_tree.php');
  define(BOX_WIDTH1,'125');

	// get initial parameters
	if (isset($HTTP_GET_VARS["return"]) && isset($HTTP_SESSION_VARS["rep_params"])){
		$input_params=&$HTTP_SESSION_VARS["rep_params"];
	} else {
		$input_params=&$HTTP_POST_VARS;
		if (isset($input_params["post_action"])){
			tep_set_session_value("rep_params",$HTTP_POST_VARS);
			$GLOBALS["rep_params"]["post_action"]="screen";
		} else {
			tep_set_session_value("rep_params",array());
		}
	}
	$date=isset($input_params['txtDate'])?tep_convert_date_raw($input_params['txtDate']):'';
	$instructor=isset($input_params['sel_instructor'])?$input_params['sel_instructor']:-1;
	$view=isset($input_params['sel_view'])?$input_params['sel_view']:3;
	$location=isset($input_params['sel_location'])?$input_params['sel_location']:-1;
	$event=isset($input_params['sel_event'])?$input_params['sel_event']:-1;
	$post_action = isset($input_params['post_action'])?$input_params['post_action']:'';
	$page = isset($input_params['page'])?$input_params['page']:1;
	
	if ($date==""){
		$sql =  "select date_sub('".getServerDate()."', interval 1 month) begin";
		$sql_result = tep_db_query($sql);
		$row = mysql_fetch_assoc($sql_result);
		$date = $row["begin"];
	}
	$date_begin = $date;
	$date_end = $date;	
	$days= date('t',strtotime($date));	
	
	if($view==2) {
		$sql =  "select date_add('$date', interval -(dayofweek('$date')-1) day) begin, date_add('$date', interval (7-dayofweek('$date')) day) end";	
	} else if($view==3) {
		$sql =  "select date_add('$date', interval -(dayofmonth('$date')-1) day) begin, date_add('$date', interval ('$days'-dayofmonth('$date')) day) end";	
	}
	if($view==2 || $view==3) {
		$sql_result = tep_db_query($sql);
		$row = mysql_fetch_assoc($sql_result);
		$date_begin = $row["begin"];
		$date_end = $row["end"];	
	}

	$instructors_array = array();
	$events_array = array();
	$locations_array=array();

	$view_array=array(array("id"=>1,"text"=>TEXT_DAY),array("id"=>2,"text"=>TEXT_WEEK),array("id"=>3,"text"=>TEXT_MONTH));

	// get instructor names			
	$sql = "select a.admin_id admin_id, admin_firstname, admin_lastname  from events_instructors ei, admin a where ei.admin_id=a.admin_id order by admin_firstname,admin_lastname";
	$sql_result = tep_db_query($sql);
	$num_rows = tep_db_num_rows($sql_result);
	$instructors_array[]=array("id"=>-1,"text"=>TEXT_ALL_INSTRUCTORS);
	while($row=tep_db_fetch_array($sql_result)) {
		$instructors_array[]=array("id"=>$row["admin_id"],"text"=>$row["admin_firstname"]." ".$row["admin_lastname"]);
	}
	mysql_free_result($sql_result);
		
	// get location names
	$sql = "select distinct location_id, location_name from events,events_locations where location_id=events_location order by location_name";
	$sql_result = tep_db_query($sql);
	$locations_array[]=array("id"=>-1,"text"=>TEXT_ALL_LOCATIONS);
	while($row=tep_db_fetch_array($sql_result)) {
		$locations_array[]=array("id"=>$row["location_id"],"text"=>$row["location_name"]);
	}
	mysql_free_result($sql_result);
	// Get Events List
	$events_option="";
	if ($login_groups_type==TEXT_INSTRUCTOR_ENTRY) $events_option=" and e.events_instructor='" . $login_id . "'";
	$sql = "select e.events_id events_id, Events_name  events_name from events e, events_description ed where e.events_id = ed.events_id and ed.language_id='" . $languages_id . "'" . EVENTS_CONDITION_STATUS . $events_option . "order by events_name";
	$sql_result = tep_db_query($sql);
	$events_array[]=array("id"=>-1,"text"=>TEXT_ALL_EVENTS);
	while($row=tep_db_fetch_array($sql_result)) {
		$events_array[]=array("id"=>$row["events_id"],"text"=>$row["events_name"]);
	}
	mysql_free_result($sql_result);
	
	$found_results=false;
	// build the output if needed

		$where = " ";
		if($instructor!="-1") {
			$where.= "and e.events_instructor='".$instructor."' ";
		} 
		if($location!="-1") {
			$where.= "and e.events_location='".$location."' ";
		}
		if($event!="-1") {
			$where.= "and e.events_id='".$event."' ";
		}
		// create the query to fetch events non returns details
		$sql = "select e.events_id events_id, sessions_id, o.orders_id, concat(LTRIM(c.customers_lastname),' ',LTRIM(c.customers_firstname)) as customers_name,o.customers_id,
			concat(a.admin_firstname,'',a.admin_lastname) as instructor_name,o.customers_email_address customers_email_address, 
			o.customers_telephone customers_telephone, o.customers_street_address,o.customers_fax,
			e.events_instructor events_instructor, e.events_location events_location, ed.events_name events_name,
			max(start_date) as end_date, min(start_date) as start_date,time_format(e.events_start_time,'%h:%i %p') as start_time, events_type, waitlist_type, 
			orders_status,e.events_group_bookings,op.products_quantity from " . TABLE_EVENTS_SESSIONS . " es, " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o, " .TABLE_CUSTOMERS . " c, "  . TABLE_EVENTS_DESCRIPTION . " ed, " . TABLE_EVENTS . " e 
			LEFT JOIN	" . TABLE_ADMIN . " a on a.admin_id=e.events_instructor 
			where o.customers_id=c.customers_id and sessions_id = op.products_id and op.orders_id=o.orders_id and e.events_id=es.events_id 
			and products_type='E' and ed.events_id=e.events_id 
			and (events_type='R') and ed.language_id='" . $languages_id . "' " .$where." group by o.customers_id having (max(start_date)>='$date_begin' and max(start_date)<='$date_end') order by start_date desc,customers_name ASC ";
		
		
		//echo $sql;
		// split the content to multiple pages
		$query_split = new splitPageResultsReport($page, REPORT_MAX_ROWS_PAGE, $sql, $query_split_numrows);
		
		$sql_result=tep_db_query($sql);
		$num_rows=tep_db_num_rows($sql_result);
		if ($num_rows>0) $found_results=true;
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/menu.js"></script>
<script language="javascript" src="includes/general.js"></script>
<script language="JavaScript" src="includes/date-picker.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<div id="spiffycalendar" class="text"></div>
	<!-- header //-->
	<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
	<!-- header_eof //-->
	<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
<tr> 
	<!-- body_text //-->	  
	<td width=100% align=left valign="top">
	<table border="0" width="100%" cellspacing="0" cellpadding="2">
		<tr>
			<!--<td class="pageHeading"><?php //echo HEADING_CUSTOMER_DETAILS;?></td>!-->	
		</tr>
        <tr >
		  	<TD>
			<?php 	echo tep_draw_form("f",FILENAME_EVENTS_NON_RETURNS);
					echo tep_draw_hidden_field("post_action","yes");
			?>
			<table border="0" cellspacing="3" cellpadding="2" class="searchArea" width="100%">
				<tr>	
				
					<td nowrap="true"><?php $_array=array('d','m','Y');  $replace_array=array('DD','MM','YYYY'); 	$date_format=str_replace($_array,$replace_array,EVENTS_DATE_FORMAT);?>
					<?php echo '&nbsp;'."Date" . '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . tep_draw_input_field("txtDate",format_date($date),'maxlength="10" size="10"');?>
						<a href="javascript:show_calendar('f.txtDate',null,null,'<?php echo $date_format;?>');"
						onmouseover="window.status='Date Picker';return true;"
						onmouseout="window.status='';return true;"><img border="none" src="images/icon_calendar.gif"/>  
						</a>
					</TD>
							<td nowrap="true">
						<?php    
							echo tep_draw_separator('pixel_trans.gif',23,10)  . TEXT_VIEW . '&nbsp;' . tep_draw_pull_down_menu("sel_view",$view_array,$view);
						?>
					</td>
					<td rowspan="2" valign="middle" align="right">
						<?php echo tep_image_submit('button_report_search.gif', IMAGE_SEARCH_DETAILS); ?>
					</td>
				</tr>
				<tr>
				<td nowrap="true">
					<?php echo '&nbsp;'. TEXT_LOCATION . '&nbsp;' . tep_draw_pull_down_menu("sel_location",$locations_array,$location);
						 ?>
				</td>
				<td nowrap="true">
				<?php 
					$all_events_array=array();
					$all_events_array = tep_get_events_array_single();
					if(sizeof($all_events_array)<=0) echo 'Events are not Available';
					else echo '&nbsp;&nbsp;&nbsp;&nbsp;'.TEXT_EVENT . '&nbsp;' . tep_draw_event_select_menu('sel_event',$all_events_array,$event,' id="sel_event"');
				?>
				<?php echo '&nbsp;&nbsp;&nbsp;&nbsp;'.TEXT_INSTRUCTOR . '&nbsp;' . tep_draw_pull_down_menu("sel_instructor",$instructors_array,$instructor);?>
				</td>
				<td class="main" nowrap="true">
				</td>
			</tr>
			<!-- report content -->
		</table>
		</form>
		</td>
	</tr>
	<tr>
	<tr ><td class="cell_bg_report_header">&nbsp;</td></tr>
		<TD>
			<?php echo tep_draw_separator('pixel_trans.gif',1,5); ?>
		</TD>
	</tr>
			<?php
				if ($found_results) {
			?>
					<tr>
						<td>
						<table border="0" width="100%" cellspacing="0" cellpadding="2">
							<tr>
								<td class="smallText" align="left">
									<?php echo $query_split->display_links($query_split_numrows, REPORT_MAX_ROWS_PAGE, REPORT_MAX_LINKS_PAGE, $page,tep_get_report_params()); ?>&nbsp;
								</td>
							</tr>
						</table>
						</td>
					</tr>
					<tr>
						<td>
					   <table border="0" width="100%" cellspacing="1" cellpadding="1">
							<tr class='dataTableHeadingTitleRow'>
								<td class='dataTableHeadingTitleContent' width="30"><?php echo TEXT_ID;?></td>
								<td class='dataTableHeadingTitleContent' width="80"><?php echo TEXT_DATE;?></td>
								<td class='dataTableHeadingTitleContent' width="60"><?php echo TEXT_TIME;?></td>
								<td class='dataTableHeadingTitleContent'><?php echo TEXT_DESCRIPTION;?></td>
								<td class='dataTableHeadingTitleContent'><?php echo TEXT_INSTRUCTOR;?></td>
								<td class='dataTableHeadingTitleContent'><?php echo TEXT_CLIENT;?></td>
								<td class='dataTableHeadingTitleContent' width="50"><?php echo TEXT_EMAIL;?></td>
								<td class='dataTableHeadingTitleContent' width="130"><?php echo TEXT_PHONE;?></td>
								<td class='dataTableHeadingTitleContent' width="130"></td>
							</tr>

			<?php	$i=1;
          			while($row = tep_db_fetch_array($sql_result)) {
					
						?>
						  <tr class='dataTableRow' height="20" onMouseOver="rowOverEffect(this)" onMouseOut="rowOutEffect(this)" onClick="javascript:location.href='<?php echo tep_href_link('customers.php','cID=' . $row["customers_id"] . '&action=edit&return=en');?>';">
							  <td class='dataTableContent' style="cursor:hand"><?php echo $i?></td>
							  <td class='dataTableContent' style="cursor:hand"><?php echo format_date($row["end_date"]);?></td>
							  <td class='dataTableContent' style="cursor:hand"><?php echo $row["start_time"]?></td>
							  <td class='dataTableContent' style="cursor:hand"><?php echo $row["events_name"]?></td>
							  <td class='dataTableContent' style="cursor:hand"><?php echo $row["instructor_name"]?></td>
							  <td class='dataTableContent' style="cursor:hand"><?php echo $row['customers_name']?></td>
							  <td class='dataTableContent' style="cursor:hand" align="center"> <a href="mailto:<?php echo $row['customers_email_address']?>"><img src="images/icons/mail.gif" border="0"></a></td>
							  <td class='dataTableContent' style="cursor:hand"><?php echo $row['customers_telephone']?></td>
							  <?php
							  $group=""; 
							  if($row['events_group_bookings']=='Y' && $row['products_quantity']>=1)
							  	 $group=tep_image(DIR_WS_IMAGES . 'multi_booking.gif',TEXT_GROUP_BOOKING);
							  ?>
							  <td class='dataTableContent' style="cursor:hand"><a href=<?php echo tep_href_link(FILENAME_ORDERS,'oID='.$row['orders_id'].'&action=edit&return=en');?>><?php echo $group;?></a></td>
						  </tr>
			<?php 
						$i++;						
					}	
					?>
				</table>
				</TD>
				</tr>
			<?php
				}
				else{
					echo '<tr><td class="main" align="center">' . TEXT_NO_RECORDS_FOUND . '</td></tr>';
				}
			?>
</table>
</td>
</tr>
</table>
	<!-- footer //-->
	<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
	<!-- footer_eof //-->
/body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>